Network Extension Transition

Network Extension Transition
Network extension transition to a new target appliance / HA group

Executes network extension transition, moving active Layer 2 extensions from their current Network Extension (NE) appliances or HA groups to new target appliances/groups. This operation migrates the network extension control plane and data plane without disrupting the extended network or affecting VMs using the extension. The transition is performed seamlessly with minimal or zero packet loss depending on the transition scenario.

Request
URI
POST
https://{server}/hybridity/api/l2NetworkExtensions/transition
COPY
Request Body

Array of network extension transition requests. Each item specifies the extension to transition (stretchId) and the target appliance or HA group details. Multiple extensions can be transitioned in a single request for batch operations.

L2NetworkExtensionTransitionRequest of type(s) application/json
Required

Show optional properties

{
    "items": [
        {}
    ]
}
{
    "items": [
        {
            "stretchId": "string",
            "targetClusterId": "string"
        }
    ]
}
array of object
items
Required
Constraints: minItems: 1

items

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns l2NetworkExtensionsPostResponse of type(s) application/json
{
    "data": {
        "items": [
            {
                "stretchId": "string",
                "sourceNetworkId": "string",
                "warnings": [
                    {
                        "code": "string",
                        "message": "string",
                        "details": {}
                    }
                ],
                "errors": [
                    {
                        "code": "string",
                        "message": "string",
                        "details": {}
                    }
                ]
            }
        ]
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


207

Multi-Status

Returns l2NetworkExtensionsPostResponse of type(s) application/json
{
    "data": {
        "items": [
            {
                "stretchId": "string",
                "sourceNetworkId": "string",
                "warnings": [
                    {
                        "code": "string",
                        "message": "string",
                        "details": {}
                    }
                ],
                "errors": [
                    {
                        "code": "string",
                        "message": "string",
                        "details": {}
                    }
                ]
            }
        ]
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"items":["object"]}' https://{api_host}/hybridity/api/l2NetworkExtensions/transition